(function($) {

Drupal.highcharts = Drupal.highcharts || {};
Drupal.highcharts.charts = Drupal.highcharts.charts || {};

/**
 * Core behavior for Highcharts.
 *
 * Check for and loop through any highchart containers in the output, and create
 * new chart objects to be rendered to their containers.
 */
Drupal.behaviors.highcharts = function(context) {
  charts: [],
  $.each($(".highcharts-chart", context).not(".highcharts-processed"), function(idx, value) {
    chart_id = $(value).attr("id");
    var settings = Drupal.settings.highcharts[chart_id];
    if (settings !== undefined) {
      // Create the chart.
      Drupal.highcharts.charts[chart_id] = new Highcharts.Chart(settings);
      $(value).addClass("highcharts-processed");
    }
  })
};

})(jQuery);
