<?php

/**
 * @file
 * Template file returns HTML for a highcharts container.
 *
 * @param $attributes
 *   An associative array containing valid HTML attributes to be applied to the
 *   highchart container:
 *   - id: Required. Must match the 'renderTo' option in the 'Highcharts.Chart'
 *     object.
 *   - style: Default: 'margin 0 auto' is appended to any existing style.
 *   - class: Default: 'highcharts-chart' is appended to any existing class.
 *
 * @return
 *   The chart div, ready for the highchart JS to render to.
 *
 * @see theme_highcharts_chart()
 *
 * @todo is this file necessary since we have a theme function?
 */

// Set default style and class attributes.
$attributes['style'] = isset($attributes['style'])
  ? $attributes['style']  . 'margin: 0 auto'
  : 'margin: 0 auto';

$attributes['class'] = isset($attributes['class'])
  ? $attributes['class'] . ' highcharts-chart'
  : 'highcharts-chart';
?>
<div <?php print($attributes); ?>></div>
